### Class

# Foundry TerminalLauncher

#### Description [src]

    final class Foundry.TerminalLauncher : GObject.Object
    {
      /* No available fields */
    }

Simplified interface representing how a terminal should be spawned.

#### Ancestors

- GObject

#### Constructors

###### foundry_terminal_launcher_new

No description available.

#### Instance methods

###### foundry_terminal_launcher_copy

No description available.

###### foundry_terminal_launcher_dup_command

No description available.

###### foundry_terminal_launcher_dup_override_environment

No description available.

###### foundry_terminal_launcher_run

The `pty_fd` is duplicated and therefore may be closed by the caller after calling this function.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.TerminalLauncher:command

No description available.

###### Foundry.TerminalLauncher:override-environment

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryTerminalLauncherClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.